Bug 240911 - Repatch should be able to polymorphic call with arity fixup.
Summary: Repatch should be able to polymorphic call with arity fixup.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: WebKit Local Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Keith Miller
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2022-05-25 09:31 PDT by Keith Miller
Modified: 2022-06-09 10:21 PDT (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Keith Miller 2022-05-25 09:31:58 PDT
Right now repatch will emit a virtual call any time it has a case that requires arity fixup. Instead it should just pick the arity fixup entrypoint.
Comment 1 Radar WebKit Bug Importer 2022-06-01 09:32:12 PDT
<rdar://problem/94227579>
Comment 2 EWS 2022-06-09 10:21:20 PDT
Committed r295423 (251429@main): <https://commits.webkit.org/251429@main>

Reviewed commits have been landed. Closing PR #1012 and removing active labels.